Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class InsertOoORequest

    java.lang.Object
      be.fgov.ehealth.ehbox.consultation.protocol.v3.InsertOoORequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:58:18+02:00",
               comments="JAXB RI v2.2.11")
    public class InsertOoORequest

extends Object
implements Serializable

Java class for InsertOoORequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsertOoORequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Substitute" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsertOoORequest()`

Method Summary
`BoxIdType` | `getBoxId()` Gets the value of the boxId property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`List<BoxIdType>` | `getSubstitutes()` Gets the value of the substitutes property.
`void` | `setBoxId(BoxIdType value)` Sets the value of the boxId property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertOoORequest

    public InsertOoORequest()

Method Detail

### getBoxId

    public BoxIdType getBoxId()

  Gets the value of the boxId property.

  Returns:
    possible object is `BoxIdType`

### setBoxId

    public void setBoxId(BoxIdType value)

  Sets the value of the boxId property.

  Parameters:
    `value` - allowed object is `BoxIdType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getSubstitutes

    public List<BoxIdType> getSubstitutes()

  Gets the value of the substitutes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substitutes property.

  For example, to add a new item, do as follows:

          getSubstitutes().add(newItem);

  Objects of the following type(s) are allowed in the list `BoxIdType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.